Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class ReportJobBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ReportJobBean

    public class ReportJobBean

extends java.lang.Object

Version:
  $Id: ReportJobBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`ReportJobBean()`

Method Summary
`java.lang.String` | `getBaseOutputFilename()`
`ReportJobRepositoryDestinationBean` | `getContentRepositoryDestination()`
`java.lang.String` | `getDescription()`
`long` | `getId()`
`java.lang.String` | `getLabel()`
`ReportJobMailNotificationBean` | `getMailNotification()`
`byte[]` | `getOutputFormats()`
`java.lang.String` | `getOutputLocale()`
`ReportJobSourceBean` | `getSource()`
`ReportJobTriggerBean` | `getTrigger()`
`java.lang.String` | `getUsername()`
`int` | `getVersion()`
`void` | `setBaseOutputFilename(java.lang.String baseOutputFilename)`
`void` | `setContentRepositoryDestination(ReportJobRepositoryDestinationBean contentRepositoryDestination)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(long id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMailNotification(ReportJobMailNotificationBean mailNotification)`
`void` | `setOutputFormats(byte[] outputFormats)`
`void` | `setOutputLocale(java.lang.String outputLocale)`
`void` | `setSource(ReportJobSourceBean source)`
`void` | `setTrigger(ReportJobTriggerBean trigger)`
`void` | `setUsername(java.lang.String username)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobBean

    public ReportJobBean()

Method Detail

### getBaseOutputFilename

    public java.lang.String getBaseOutputFilename()

### setBaseOutputFilename

    public void setBaseOutputFilename(java.lang.String baseOutputFilename)

### getContentRepositoryDestination

    public ReportJobRepositoryDestinationBean getContentRepositoryDestination()

### setContentRepositoryDestination

    public void setContentRepositoryDestination(ReportJobRepositoryDestinationBean contentRepositoryDestination)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getId

    public long getId()

### setId

    public void setId(long id)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getMailNotification

    public ReportJobMailNotificationBean getMailNotification()

### setMailNotification

    public void setMailNotification(ReportJobMailNotificationBean mailNotification)

### getOutputFormats

    public byte[] getOutputFormats()

### setOutputFormats

    public void setOutputFormats(byte[] outputFormats)

### getOutputLocale

    public java.lang.String getOutputLocale()

### setOutputLocale

    public void setOutputLocale(java.lang.String outputLocale)

### getSource

    public ReportJobSourceBean getSource()

### setSource

    public void setSource(ReportJobSourceBean source)

### getTrigger

    public ReportJobTriggerBean getTrigger()

### setTrigger

    public void setTrigger(ReportJobTriggerBean trigger)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.